JOIN(1)

NOM
join - Fusionner les lignes de deux fichiers ayant des champs communs

SYNOPSIS
join [OPTION]... FICHIER1 FICHIER2

DESCRIPTION

Pour chaque paire de lignes en entrée ayant des champs de fusion identiques, afficher une ligne sur la sortie standard. Par défaut, le champ de fusion est la première chaîne délimitée par des blancs.

Quand FICHIER1 ou FICHIER2 (pas les deux en même temps) vaut -, lire l'entrée standard.

-a NUMÉRO
    afficher aussi les lignes non associables du fichier NUMÉRO, où NUMÉRO peut être 1 ou 2, correspondant à FICHIER1 ou FICHIER2

-e CHAÎNE
    remplacer des champs d'entrée manquants (vides) par CHAÎNE ; par exemple les champs manquants indiqués par les options « -12jo »

-i, --ignore-case
    ignorer les différences de casse lors de la comparaison des champs

-j CHAMP
    équivalent à « -1 CHAMP -2 CHAMP »

-o FORMAT
    respecter le FORMAT lors de la construction de la sortie

-t CAR
    utiliser CAR comme délimiteur de champs pour l'entrée et la sortie

-v NUMÉRO
    identique à « -a NUMÉRO », mais sans afficher les lignes fusionnées

-1 CHAMP
    fusionner sur le CHAMP du FICHIER1

-2 CHAMP
    fusionner sur le CHAMP du FICHIER2

--check-order
    vérifier que l'entrée est correctement triée, même si toutes les lignes en entrée peuvent être appairées

--nocheck-order
    ne pas vérifier que l'entrée est bien triée

--header
    considérer la première ligne de chaque fichier comme des champs d'en-tête, les afficher sans essayer de les apparier

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    Afficher l'aide-mémoire et quitter.

--version
    Afficher les informations de version et quitter.

À moins que « -t CAR » ne soit fourni, les blancs de tête séparent les champs et sont ignorés, sinon les champs sont séparés par CAR. Chaque CHAMP est un champ compté numériquement à partir de 1. FORMAT est une ou plus de spécifications séparées par des virgules ou des blancs, chacune de ces spécifications étant de la forme « NUMÉRO.CHAMP » ou « 0 ». Par défaut, FORMAT affiche les champs fusionnés et les champs restants de FICHIER1 et de FICHIER2, tous étant séparés par CAR. Si FORMAT est le mot-clé « auto », alors la première ligne de chaque fichier détermine le nombre de champs affichés pour chaque ligne.

Important : les champs de FICHIER1 et FICHIER2 doivent être triés. Par exemple, utilisez « sort -k 1b,1 » si join est utilisée sans option, ou utilisez « join -t &apos;&apos; » si sort est utilisée sans option. Les comparaisons respectent les règles indiquées par « LC_COLLATE ». Si l'entrée n'est pas triée et quelques lignes ne peuvent être fusionnées, un message d'alerte sera fourni.

AUTEUR
Écrit par Mike Haertel.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
comm(1), uniq(1)

Documentation complète : <https://www.gnu.org/software/coreutils/join>
aussi disponible localement à l’aide de la commande : info '(coreutils) join invocation'

Empaqueté par Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.